---
title: HTMLFormElement.reportValidity()
slug: Web/API/HTMLFormElement/reportValidity
tags:
  - HTML
  - HTMLFormElement
  - Method
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFormElement.reportValidity()</code></strong> method returns <code>true</code> if the element's child controls satisfy their validation constraints. When <code>false</code> is returned, cancelable <code><a href="/en-US/docs/Web/Events/invalid">invalid</a></code> events are fired for each invalid child and validation problems are reported to the user.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLFormElement</em>.reportValidity()
</pre>

<h3 id="Return_value">Return value</h3>

<p>{{domxref("Boolean")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.forms['myform'].addEventListener('submit', function() {
  document.forms['myform'].reportValidity();
}, false);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "forms.html#dom-cva-reportvalidity", "HTMLFormElement.reportValidity()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "semantics.html#the-constraint-validation-api", "HTMLFormElement.reportValidity()")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.reportValidity")}}</p>
